%define upstream_name Inline-C
%define upstream_version 0.76

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Write Perl Subroutines in C
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires:	perl(File::Copy::Recursive)
BuildRequires:	perl(File::ShareDir::Install)
BuildRequires:	perl(Inline)
BuildRequires:	perl(IO::All)
BuildRequires:	perl(Pegex::Parser)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(YAML::XS)

BuildArch:	noarch

%description
"Inline::C" is a module that allows you to write Perl subroutines in C.
Since version 0.30 the Inline module supports multiple programming
languages and each language has its own support module.

If you want to start working with programming examples right away, check
out Inline::C::Cookbook. For more information on Inline in general, see
Inline.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.760.0-3.mga6
+ Revision: 1028556
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.760.0-2.mga6
+ Revision: 968277
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.760.0-1.mga6
+ Revision: 851926
- update to 0.76

* Sun Jun 21 2015 sander85 <sander85> 0.750.0-1.mga6
+ Revision: 837061
- update to 0.75

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 746163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 685131
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 655142
- update to 0.62

* Fri Jul 18 2014 sander85 <sander85> 0.610.0-1.mga5
+ Revision: 653606
- update to 0.61

* Tue Jul 15 2014 sander85 <sander85> 0.600.0-1.mga5
+ Revision: 653121
- imported package perl-Inline-C

